const express = require('express');
const router = express.Router();
const {
	createProduct,
	getAllProducts,
	getProduct,
	updateProduct,
	deleteProduct,
	addProductStock,
} = require('../../controllers/super-admin/products');

router.post('/', createProduct);
router.get('/', getAllProducts);
router.get('/:id', getProduct);
router.patch('/stocks', addProductStock);
router.patch('/', updateProduct);
router.delete('/:id', deleteProduct);

module.exports = router;
